Minecraft 1.8 Tools

LiteLoader is a lightweight mod bootstrap designed to provide very basic loader functionality for mods which don’t need to modify game mechanics
Compatible: 1.11.2, 1.11, 1.10.2, 1.10, 1.9.4, 1.9, 1.8.9, 1.8, 1.7.10, 1.7.2
Updated: January 3, 2017
minecraft-forge
Minecraft Forge allows players to add an essential application library to Minecraft. This tool plays an important role since most of current mods of
Compatible: 1.11.2, 1.11, 1.10.2, 1.10, 1.9.4, 1.8, 1.7.10, 1.7.2, 1.6.4
Updated: January 3, 2017
MCreator is a program for modding minecraft without programing knowledge. It’s very simple to use, and the program’s concept is easy to le
Compatible: 1.9, 1.8.9, 1.8, 1.7.10, 1.7.2
Updated: June 20, 2016
It’s the latest version of the new modloader! It’s the FML- the Forge Mod Loader for Minecraft! It started as a mod loading syst
Compatible: 1.8, 1.7.10, 1.7.2, 1.6.4, 1.6.2, 1.5.2
Updated: May 11, 2016
rp_Minecraft-Skin-Viewer.jpg
Minecraft Skin Viewer is a simple tool that can display any Minecraft skin. You can type username, browse file or play with drag & drop – fa
Compatible: 1.8.2, 1.8.1, 1.8
Updated: April 26, 2016
rp_Banner-Maker-Tool.jpg
Create the banner of your dreams within just a few seconds! Using this external tool you can design Minecraft banners without wasting hours of craftin
Compatible: 1.8
Updated: April 7, 2016
Risugami ModLoader is the dynamic tool that can act as a root modification manager for Minecraft. Once downloaded, Risugami ModLoader allows you to ea
Compatible: 1.8, 1.7.4, 1.6.4, 1.5.2
Updated: August 25, 2015
Magic Launcher is a great tool that allows players to install mods and customize them depending on your needs. In fact, this mod not only keeps your o
Compatible: 1.8.1, 1.8, 1.7.10, 1.7.2, 1.6.4, 1.6.2, 1.5.2
Updated: May 26, 2015
rp_Online-Minecraft-Banner-Generator-Tool.jpg
With 1.8 we see the addition of Banners to display around your Minecraft world, but designing them can be a bit of a nightmare, so heres a tool to mak
Updated: May 26, 2015
Hello everyone. Now it 1.8 we have a lot of new possibilities with command blocks, but sometimes it’s just too hard to use them. When you are wo
Compatible: 1.8
Updated: May 26, 2015